# ApplicationFramework
TKXmlTObj
XmlTObjDrivers

# XmlTObjDrivers_XYZDriver Class Reference

`#include <XmlTObjDrivers_XYZDriver.hxx>`

Inheritance diagram for XmlTObjDrivers_XYZDriver:

[legend]

## Public Member Functions

Standard_EXPORT | XmlTObjDrivers_XYZDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT | Handle (TDF_Attribute) NewEmpty() const
Standard_EXPORT Standard_Boolean | Paste (const XmlObjMgt_Persistent &Source, const Handle(TDF_Attribute)&Target, XmlObjMgt_RRelocationTable &RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Source, XmlObjMgt_Persistent &Target, XmlObjMgt_SRelocationTable &RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .

## Constructor & Destructor Documentation

Standard_EXPORT XmlTObjDrivers_XYZDriver::XmlTObjDrivers_XYZDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT XmlTObjDrivers_XYZDriver::Handle | ( | TDF_Attribute |  | ) | const

Standard_EXPORT void XmlTObjDrivers_XYZDriver::Paste | ( | const Handle(TDF_Attribute)& | Source,
|  | XmlObjMgt_Persistent & | Target,
|  | XmlObjMgt_SRelocationTable & | RelocTable
| ) | const`[virtual]`

| Implements XmlMDF_ADriver.

Standard_EXPORT Standard_Boolean XmlTObjDrivers_XYZDriver::Paste | ( | const XmlObjMgt_Persistent & | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | XmlObjMgt_RRelocationTable & | RelocTable
| ) | const`[virtual]`

| Implements XmlMDF_ADriver.

The documentation for this class was generated from the following file:

- XmlTObjDrivers_XYZDriver.hxx